import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import uView from '@/uview-ui' //uview
import './permission' // permission
import homebar from "@/components/navbar/homebar.vue"
import navbar from "@/components/navbar/Navbar.vue" 
// import Vconsole from 'vconsole'
// let vConsole = new Vconsole();

Vue.use(plugins)
Vue.use(uView)
Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.component('homebar', homebar)
Vue.component('navbar', navbar)
App.mpType = 'app'

const app = new Vue({
	...App
})

app.$mount()

// export default vConsole